import type { CommonEventDefinition, EventTypeNames } from './eventTypes';
export declare class EventRegistry<SupportedEvents extends CommonEventDefinition[]> {
    readonly supportedEvents: SupportedEvents;
    readonly supportedEventTypes: Set<string>;
    private readonly supportedEventMap;
    constructor(supportedEvents: SupportedEvents);
    getEventDefinitionByTypeName: <EventTypeName extends EventTypeNames<SupportedEvents[number]>>(eventTypeName: EventTypeName) => CommonEventDefinition;
    isSupportedEvent(eventTypeName: string): boolean;
}
